%global githash 0eed7931ea0aa827fe74dfa808467c16e12d6e96

Name:          jredis
# This release is compatible with newer Redis release
Version:       2.0.0
Release:       0.7.a.0%{?dist}
Summary:       Java Client and Connectors for Redis
License:       ASL 2.0
# https://code.google.com/p/jredis/
URL:           https://github.com/alphazero/jredis
Source0:       https://github.com/alphazero/jredis/archive/%{githash}/%{name}-%{githash}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
JRedis is a high-performance Java client and connector framework and
reference implementation for Redis distributed hash key-value
database. It will provide both synchronous clients and asynchronous
connections for Redis. The connectors will be both passive
(non-threaded) and active, to address deployment scenarios and
usage requirements.

This package contains JRedis Parent POM.

%package core
Summary:       JRedis Core Parent POM

%description core
The Core module is composed of all the core elements that
are used to create JRedis clients and connectors for the
Redis server.  

This includes: 

- the specification (API),
- the reference implementation (RI),
- the benchmark module (BENCH)

This package contains JRedis Core Parent POM.

%package core-api
Summary:       JRedis Core API

%description core-api
JRedis Core Specification API.

%package core-bench
Summary:       JRedis Benchmark Module

%description core-bench
JRedis Benchmark Module.

%package core-ri
Summary:       JRedis Core RI

%description core-ri
JRedis Core Reference Implementation.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{githash}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_disable_module examples
%pom_disable_module all core
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin -r :maven-assembly-plugin

%pom_xpath_set -r "pom:dependency[pom:artifactId = 'log4j']/pom:version" 1.2.17

%build

# Test suite disabled, because use web connection
%mvn_build -s -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%doc documentation/design/*
%license LICENSE NOTICE

%files core -f .mfiles-%{name}-core
%doc core/README
%license core/LICENSE core/NOTICE

%files core-api -f .mfiles-%{name}-core-api
%doc README RELEASE-NOTES.txt
%license core/api/LICENSE core/api/NOTICE

%files core-bench -f .mfiles-%{name}-core-bench
%license core/bench/LICENSE core/bench/NOTICE

%files core-ri -f .mfiles-%{name}-core-ri
%license core/ri/LICENSE core/ri/NOTICE
 
%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.7.a.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.6.a.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.5.a.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.4.a.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.3.a.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.2.a.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 gil cattaneo <puntogil@libero.it> 2.0.0-0.1.a.0
- update to a.0

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 1.0-0.1.RC2
- initial rpm
